// coding: utf-8
/** Created by: Udo Schmal | https://www.gocher.me/ */
// sticky element
// css replacement
// #toolbar {position: sticky; position: -webkit-sticky; top: 0;}
// #toolbar.sticky {position: fixed;}
// #nav-container {position: sticky; position: -webkit-sticky; top: 40px;}
// #nav-container.sticky {position: fixed;}
(function() {
  'use strict';
  var el = document.querySelector("[data-type='sticky']");
  if (el) {
    var positionSticky = window.getComputedStyle(el).getPropertyValue("position");
    if (positionSticky != "sticky") {
      var useCapture = false;
      try {
        var opts = Object.defineProperty({}, 'passive', {
          get: function() {
            useCapture = {capture: false, passive: true};
          }
        });
        window.addEventListener("testPassive", null, opts);
        window.removeEventListener("testPassive", null, opts);
      } catch (e) {}
      var scrollPos = 0;
      var marginTop = - window.getComputedStyle(el).getPropertyValue("top");
      function getScrollPos() {
        pos = 0;
        var i = el;
        do {
          pos += i.offsetTop;
          i = i.offsetParent;
        } while (i);
        pos += marginTop;
        if (pos != 0) {
          scrollPos = pos;
        }
      }
      function stickyElement(){
        if (window.scrollY > scrollPos) {
          el.classList.add('sticky');
        } else {
          el.classList.remove('sticky');
        }
      }
      window.addEventListener('scroll', stickyElement, useCapture);
      window.addEventListener('resize', function () { getScrollPos(); stickyElement();}, useCapture);
      getScrollPos();
      stickyElement();
    }
  }
})();
